#!/bin/sh
# test we are root
if [ "$(id -u)" != "0" ]; then
   exit 1
fi

export CFLAGS="-mtune=generic -Os -pipe"   
export CXXFLAGS="-mtune=generic -Os -pipe -fno-exceptions -fno-rtti "

P=wavpack
V=5.7.0
SRC=$P-$V
USER=`cat /etc/sysconfig/tcuser`
LIST="compiletc submitqc  "
for Z in $LIST
    do 
    su -c "tce-load -i $Z" $USER
done

cd /tmp
su -c "/usr/local/bin/wget -nc --no-check-certificate \
https://www.wavpack.com/$SRC.tar.xz "  $USER
tar xvf $SRC*xz
cd $SRC
./configure --prefix=/usr/local --disable-static --localstatedir=/var

find . -name Makefile -type f -exec sed -i 's/-g -O2//g' {} \;
make -j5 # 5s
make install-strip DESTDIR=/tmp/$P 
cd /tmp

# dev
#####
mkdir -p $P-dev/usr/local/lib/
mv $P/usr/local/include $P-dev/usr/local/
mv $P/usr/local/lib/pkgconfig $P-dev/usr/local/lib/
rm -rf $P/usr/local/lib/*.la

# doc
#####
mkdir -p $P-doc/usr/local/share/doc/$P
mv $P/usr/local/share/man $P-doc/usr/local/share/
mv $P/usr/local/share/doc/$P/*.pdf $P-doc/usr/local/share/doc/$P
mv $P/usr/local/share/doc/$P/*.html $P-doc/usr/local/share/doc/$P
rm -rf $P/usr/local/share/doc/$P/*css
rm -rf $P/usr/local/share/doc/$P/*md

# main
###### 
cp $SRC/COPYING $P/usr/local/share/doc/$P/

# TCZ them
###########
LIST2="$P $P-dev $P-doc  "
for Z in $LIST2
do
	mksquashfs $Z $Z.tcz
	md5sum $Z.tcz > $Z.tcz.md5.txt
	cd $Z
	find usr -not -type d > /tmp/$Z.tcz.list
        sed 's|usr|/usr|g' -i /tmp/$Z.tcz.list
	cd /tmp
done

ls -hal

echo 'Title:          wavpack-dev.tcz
Description:    dev files
Version:        5.7.0        
Author:         David Bryant         
Original-site:  https://www.wavpack.com/ 
Copying-policy: accompanied
Size:           8.0K 
Extension_by:   aus9 @linuxquestions.org
Tags:           lossless wavefile wav compressor
Comments:       Development
                
Change-log:     2016/02/07 v 4.75.2 on 7x (Juanito)
Current:        2024/05/02 v 5.7.0  on 15x (aus9) ' > $P-dev.tcz.info
echo 'wavpack.tcz                                 ' > $P-dev.tcz.dep

echo 'Title:          wavpack-doc.tcz
Description:    various doc
Version:        5.7.0        
Author:         David Bryant         
Original-site:  https://www.wavpack.com/ 
Copying-policy: accompanied
Size:           348K
Extension_by:   aus9 @linuxquestions.org
Tags:           lossless wavefile wav compressor
Comments:       man page, PDFs & html      
                
Change-log:     2016/02/07 v 4.75.2 on 7x (Juanito)
Current:        2024/05/02 v 5.7.0  on 15x (aus9) ' > $P-doc.tcz.info
echo 'man-db.tcz                                  ' > $P-doc.tcz.dep

echo 'Title:          wavpack.tcz
Description:    wavefile compressor
Version:        5.7.0        
Author:         David Bryant         
Original-site:  https://www.wavpack.com/ 
Copying-policy: accompanied
Size:           192K 
Extension_by:   aus9 @linuxquestions.org
Tags:           lossless wavefile wav compressor
Comments:       hybrid lossless wavefile compressor
                
Change-log:     2016/02/07 v 4.75.2 on 7x (Juanito)
Current:        2024/05/02 v 5.7.0  on 15x (aus9) ' > $P.tcz.info

readelf -d $P/usr/local/lib/*.so | grep 'NEEDED' # only TCBS.
readelf -d $P/usr/local/bin/* | grep 'NEEDED'
#[libwavpack.so.1] this TCE

submitqc --libs 
rm -rf *.zsync

